| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > LISP. Создание выноски с атрибутом блока.

LISP. Создание выноски с атрибутом блока.

Ответ
Поиск в этой теме
Непрочитано 03.12.2015, 13:43 #1
LISP. Создание выноски с атрибутом блока.
DmitriyBastr
 
Регистрация: 06.03.2015
Сообщений: 5

Есть вопрос специалистам-программистам:
Ниже код который позволяет сделать выноску с именем блока, на который она указывает.
Имя при этом вставляется в поле.
Возможно ли сделать так, чтобы это была не выноска а мультивыноска?
И ещё, возможно ли выводить не имя блока, а значение атрибута или одного из атрибутов, в том числе и не видимого?

Код:
[Выделить все]
[lisp][/(defun C:BLNM (/ acsp adoc ent mtx p1 p2 pline txt)
  (vl-load-com)
  (or adoc
      (setq adoc
	     (vla-get-activedocument
	       (vlax-get-acad-object)
	     )
      )
  )
  (if (and
	(= (getvar "tilemode") 0)
	(= (getvar "cvport") 1)
      )
    (setq acsp (vla-get-paperspace adoc))
    (setq acsp (vla-get-modelspace adoc))
  )
  (setq
    pline (vlax-ename->vla-object
	    (car (setq ent (entsel "\n >> Выбрать блок >> \n")))
	  )
  )
  (setq	txt
	 (strcat
	   "%<\\AcObjProp Object(%<\\_ObjId "
	   (itoa (vla-get-objectid pline))
	   ">%).EffectiveName >%"
	 )
  )
  (setq	p1 (cadr ent)
	p2 (getpoint p1 "\nВторая точка >> \n")
  )
  (setq	mtx (vlax-invoke
	      acsp 'AddMText p2	0.0 txt)
  )
  (vlax-put mtx
	    'AttachmentPoint
	    (cond ((> (car p1) (car p2))
		   acAttachmentPointMiddleRight
		  )
		  ((< (car p1) (car p2))
		   acAttachmentPointMiddleLeft
		  )
		  (T acAttachmentPointMiddleLeft)
	    )
  )

  (vlax-invoke
    acsp
    'Addleader
    (apply 'append (list p1 p2))
    mtx
    acLineWithArrow
  )
  (vl-catch-all-apply
    (function (lambda ()
		(progn
		  (vlax-release-object mtx)
		  (vlax-release-object pline)
		)
	      )
    )
  )
  (vla-regen adoc acactiveviewport)
  (princ)
)
(prompt "\n")
(prompt "\t\t<<< Ввести LF для старта программы :  >>>  \n")
(princ)
; TesT : (C:LF)LISP]
Просмотров: 7311
 
Непрочитано 03.12.2015, 14:27
#2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,744


Цитата:
Сообщение от DmitriyBastr Посмотреть сообщение
Возможно ли сделать так, чтобы это была не выноска а мультивыноска?
Возможно.
Цитата:
Сообщение от DmitriyBastr Посмотреть сообщение
возможно ли выводить не имя блока, а значение атрибута или одного из атрибутов, в том числе и не видимого?
Возможно.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 08.12.2015, 16:11
#3
DmitriyBastr


 
Регистрация: 06.03.2015
Сообщений: 5


Но как же это сделать?
Раньше это ЛИСП выводил в выноску имя слоя объекта.
Я нашел как на имя блока переделать.
А как на атрибут не получилось......
DmitriyBastr вне форума  
 
Непрочитано 08.12.2015, 16:18
#4
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,744


Получаешь указатель на нужный атрибут, и подставляешь его Id вместо Id блока. Для создания мультивыноски см.метод vla-addmleader (но не забудь про настройки выноски, назначение ей стиля и т.п.).
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 08.12.2015, 16:33
#5
kacugu

начинающий инженер-гидротехник
 
Регистрация: 18.04.2010
Санкт-Петербург
Сообщений: 821


Как пример: http://forum.dwg.ru/showpost.php?p=1...postcount=2568
Надо только допилисть.
kacugu вне форума  
 
Непрочитано 08.12.2015, 17:32
#6
Boxa

КЖ; C#
 
Регистрация: 03.11.2005
Санкт-Петербург
Сообщений: 2,511


не лисп конечно, но если автокад 2014, то в частном порядке могу поделиться вот этим : http://autode.sk/1R7wiFj
ЗЫ.
Там допиливать еще много чего, но запал закончился и забросил я эту утилиту =(
__________________
_бложиг
Boxa вне форума  
 
Автор темы   Непрочитано 09.12.2015, 15:01
#7
DmitriyBastr


 
Регистрация: 06.03.2015
Сообщений: 5


Цитата:
Получаешь указатель на нужный атрибут, и подставляешь его Id вместо Id блока. Для создания мультивыноски см.метод vla-addmleader (но не забудь про настройки выноски, назначение ей стиля и т.п.).

__________________


---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Это ужасно, но AutoLISP я не знаю. Только начал изучать... Больше пока наугад в кодах роюсь...
А не сможете, Алексей, посмотреть ещё одну мою тему: http://forum.dwg.ru/showthread.php?t=127256?

... да. это как раз то что хотелось бы получить... если бы оно работало...
Цитата:
Как пример: http://forum.dwg.ru/showpost.php?p=1...postcount=2568
Надо только допилисть.
Boxa, расскажите, пожалуйста, как DLL-файлы в автокад загружать?
Какой должен быть результат?
Новые меню появятся, как при загрузки CUIx ?
DmitriyBastr вне форума  
 
Непрочитано 09.12.2015, 16:00
#8
Boxa

КЖ; C#
 
Регистрация: 03.11.2005
Санкт-Петербург
Сообщений: 2,511


Цитата:
Сообщение от DmitriyBastr Посмотреть сообщение
Boxa, расскажите, пожалуйста, как DLL-файлы в автокад загружать?
Какой должен быть результат?
Новые меню появятся, как при загрузки CUIx ?
Если коротко, то в автокаде есть команда netload, при ее вызове появляется окно выбора dll файла, после успешной загрузки библиотеки, в автокаде появляется определенная в этой библиотеке команда (или меню, или реакторы, переопределения и т.д и т.п. все что автор написал). Собственно все. Меню... ну если автор библиотеки озаботился созданием меню, то и меню (меня такого рода заморочки не заботили).
__________________
_бложиг
Boxa вне форума  
 
Непрочитано 15.10.2018, 14:43
#9
Hishnik


 
Регистрация: 14.11.2012
Сообщений: 22


Подскажите пожалуйста вы нашли решение по установки выносок к блокам с атрибутами
По идеи нужен лисп который берет информацию с выделенных объектов и автоматом вставляет полями в мультивынуску, но т.к. я не владею лиспом уфы
Последовательность действий.
1. выбираем блоки
2. вставляется мультивыноска с установленным стилем в котором полями прописывается следующая информация
- если выбран один элемент то информация записывается в одно строчку в виде ["префикс" "атрибут1" "атрибут2" "атрибут3" "суфикс"]
- если выбрано несколько элементов то в нижней строчке дополнительно записывается количество выбранных элементов ["количество" шт.]

Помогите пожалуйста.
Hishnik вне форума  
 
Непрочитано 15.10.2018, 15:47
#10
Сергей812


 
Регистрация: 10.08.2013
Сообщений: 9,801


Есть и более свежая похожая тема)
Сергей812 вне форума  
 
Непрочитано 15.10.2018, 16:02
#11
Hishnik


 
Регистрация: 14.11.2012
Сообщений: 22


Цитата:
Сообщение от Сергей812 Посмотреть сообщение
Есть и более свежая похожая тема)

Да похожа ситуация, но я тут написал т.к. мне нужно програмно и автоматом копировать атрибуты в мультивыноску но не знаю как это организовать
Hishnik вне форума  
 
Непрочитано 15.10.2018, 16:28
#12
Сергей812


 
Регистрация: 10.08.2013
Сообщений: 9,801


Цитата:
Сообщение от Hishnik Посмотреть сообщение
но не знаю как это организовать
В выноску можно:
1. Вставлять поля (автоматическое отслеживание изменений после обновления полей. Но при этом не исключено, что при большем количестве полей начнется подтормаживание в работе).
2. Вставить блок вместо мультитекста (через задание стиля) и заполнять его атрибуты. Это и следующее уже программно.
3. Задать взаимосвязь между выноской и блоком/блоками (расширенные данные выноски, внешнее хранилище, а если в выноске используется блок - то можно и в скрытом атрибуте блока) и обновлять по соответствующей команде или через события изменения блока/блоков.

это так, навскидку варианты реализации.
Сергей812 вне форума  
 
Непрочитано 15.10.2018, 17:17
#13
Hishnik


 
Регистрация: 14.11.2012
Сообщений: 22


Цитата:
Сообщение от Сергей812 Посмотреть сообщение
В выноску можно:
1. Вставлять поля (автоматическое отслеживание изменений после обновления полей. Но при этом не исключено, что при большем количестве полей начнется подтормаживание в работе).
2. Вставить блок вместо мультитекста (через задание стиля) и заполнять его атрибуты. Это и следующее уже программно.
3. Задать взаимосвязь между выноской и блоком/блоками (расширенные данные выноски, внешнее хранилище, а если в выноске используется блок - то можно и в скрытом атрибуте блока) и обновлять по соответствующей команде или через события изменения блока/блоков.

это так, навскидку варианты реализации.
Хотя бы по первому варианту реализации. Полями. Думаю более менее разбирающемуся специалист это будет просто

- при выборе блока взять с него информацию с наименованием атрибутов
- создать мультивынуску

- вставить поля со ссылкой на атрибуты.

----- добавлено через ~17 ч. -----
Нет добрых людей которые могли бы помочь мне с этим? или это на самом деле сложная задача такая?
Hishnik вне форума  
 
Непрочитано 16.10.2018, 11:12
1 | #14
koMon


 
Блог
 
Регистрация: 26.09.2017
Сообщений: 1,368


Цитата:
Сообщение от Hishnik Посмотреть сообщение
Подскажите пожалуйста вы нашли решение по установки выносок к блокам с атрибутами
По идеи нужен лисп который берет информацию с выделенных объектов и автоматом вставляет полями в мультивынуску, но т.к. я не владею лиспом уфы
Последовательность действий.
1. выбираем блоки
2. вставляется мультивыноска с установленным стилем в котором полями прописывается следующая информация
- если выбран один элемент то информация записывается в одно строчку в виде ["префикс" "атрибут1" "атрибут2" "атрибут3" "суфикс"]
- если выбрано несколько элементов то в нижней строчке дополнительно записывается количество выбранных элементов ["количество" шт.]

Помогите пожалуйста.
Цитата:
Сообщение от Hishnik Посмотреть сообщение
Нет добрых людей которые могли бы помочь мне с этим?
есть ещё)))

Цитата:
Сообщение от Hishnik Посмотреть сообщение
или это на самом деле сложная задача такая?
как 2 пальца)

ну вот можно как-то так. проверок вообще нет.

Код:
[Выделить все]
 
(defun c:attribs_to_mleader ()
	(setq acad_Object (vlax-get-acad-object)
	      document_object (vla-get-ActiveDocument acad_Object)
		  modelSpace_object (vla-get-modelSpace document_object)
		  blocks_pickset (ssget '((0 . "Insert")))
		  blocks_count (sslength blocks_pickset)
		  attribute_id_list '()
	)
	(while (< 0 (sslength blocks_pickset))
		(setq current_block_object (vlax-ename->vla-object (ssname blocks_pickset 0)))
			(setq attributes_objects_list (vlax-safearray->list (vlax-variant-value (vla-getattributes current_block_object))))
			(foreach attribute_object attributes_objects_list
				(setq attribute_id_list (append attribute_id_list (list (itoa (vla-get-objectid attribute_object)))))
			)
		(setq blocks_pickset (ssdel (ssname blocks_pickset 0) blocks_pickset))
	)
	(setq mleader_org_point (getpoint "\nКорневая точка мультивыноски: ")
		  mleader_2nd_point (polar mleader_org_point (* pi 0.25) 40.0)
		  mleader_points_array (vlax-make-safearray vlax-vbDouble '(0 . 5))
		  vlax_executed (vlax-safearray-fill mleader_points_array (list (car mleader_org_point) (cadr mleader_org_point)  (caddr mleader_org_point)
															  			(car mleader_2nd_point) (cadr mleader_2nd_point)  (caddr mleader_2nd_point)
																  )
						)
		  mLeader_object (vla-AddMLeader modelspace_object mleader_points_array 0)
		  mLeader_string ""
	)
	(foreach attribute_id attribute_id_list
		(setq mLeader_string (strcat mLeader_string "%<\\AcObjProp Object(%<\\_ObjId " attribute_id ">%).TextString>%" " "))
	)
	(setq mLeader_string (strcat "Префикс" " " mLeader_string "Суффикс"))
	(if (> blocks_count 1) (setq mLeader_string (strcat mLeader_string "\\PКоличество: " (itoa blocks_count) " шт.")))
	(vla-put-TextLeftAttachmentType mLeader_object 3)
	(vla-put-TextRightAttachmentType mLeader_object 3)
;	(vla-put-ArrowheadBlock mLeader_object "_None")
	(vla-put-DoglegLength mLeader_object 0.5)
	(vla-put-LandingGap mLeader_object 0.5)
	(vla-put-textlinespacingstyle mLeader_object 2)
	(vla-put-textstring mLeader_object mleader_string)
	(vla-regen document_object acActiveViewport)
)


Последний раз редактировалось koMon, 16.10.2018 в 11:39.
koMon вне форума  
 
Непрочитано 16.10.2018, 19:16
#15
Hishnik


 
Регистрация: 14.11.2012
Сообщений: 22


Цитата:
Сообщение от koMon Посмотреть сообщение
ну вот можно как-то так. проверок вообще нет.


Код:


01(defun c:attribs_to_mleader ()02 (setq acad_Object (vlax-get-acad-object)03 document_object (vla-get-ActiveDocument acad_Object)04 modelSpace_object (vla-get-modelSpace document_object)05 blocks_pickset (ssget '((0 . "Insert")))06 blocks_count (sslength blocks_pickset)07 attribute_id_list '()08 )09 (while (< 0 (sslength blocks_pickset))10 (setq current_block_object (vlax-ename->vla-object (ssname blocks_pickset 0)))11 (setq attributes_objects_list (vlax-safearray->list (vlax-variant-value (vla-getattributes current_block_object))))12 (foreach attribute_object attributes_objects_list13 (setq attribute_id_list (append attribute_id_list (list (itoa (vla-get-objectid attribute_object)))))14 )15 (setq blocks_pickset (ssdel (ssname blocks_pickset 0) blocks_pickset))16 )17 (setq mleader_org_point (getpoint "\nКорневая точка мультивыноски: ")18 mleader_2nd_point (polar mleader_org_point (* pi 0.25) 40.0)19 mleader_points_array (vlax-make-safearray vlax-vbDouble '(0 . 5))20 vlax_executed (vlax-safearray-fill mleader_points_array (list (car mleader_org_point) (cadr mleader_org_point) (caddr mleader_org_point)21 (car mleader_2nd_point) (cadr mleader_2nd_point) (caddr mleader_2nd_point)22 )23 )24 mLeader_object (vla-AddMLeader modelspace_object mleader_points_array 0)25 mLeader_string ""26 )27 (foreach attribute_id attribute_id_list28 (setq mLeader_string (strcat mLeader_string "%<\\AcObjProp Object(%<\\_ObjId " attribute_id ">%).TextString>%" " "))29 )30 (setq mLeader_string (strcat "Префикс" " " mLeader_string "Суффикс"))31 (if (> blocks_count 1) (setq mLeader_string (strcat mLeader_string "\\PКоличество: " (itoa blocks_count) " шт.")))32 (vla-put-TextLeftAttachmentType mLeader_object 3)33 (vla-put-TextRightAttachmentType mLeader_object 3)34; (vla-put-ArrowheadBlock mLeader_object "_None")35 (vla-put-DoglegLength mLeader_object 0.5)36 (vla-put-LandingGap mLeader_object 0.5)37 (vla-put-textlinespacingstyle mLeader_object 2)38 (vla-put-textstring mLeader_object mleader_string)39 (vla-regen document_object acActiveViewport)40)
Здорово, почти то что хотел.
Можно как то сделать что бы я сам в лиспе прописывал какие атрибуты вставлять и в своей последовательности?
Не выводит скрытые атрибуты.
И при выделении нескольких блоков он перечисляет атрибуты всех выделенных блоков. мне достаточно одно, т.к. они одинаковые по логике веще должны быть.
Hishnik вне форума  
 
Непрочитано 17.10.2018, 09:10
#16
koMon


 
Блог
 
Регистрация: 26.09.2017
Сообщений: 1,368


Цитата:
Сообщение от Hishnik Посмотреть сообщение
Можно как то сделать что бы я сам в лиспе прописывал какие атрибуты вставлять и в своей последовательности?
надо делать сортировку и вывод списка атрибутов в диалог

Цитата:
Сообщение от Hishnik Посмотреть сообщение
Не выводит скрытые атрибуты.
требуется другой алгоритм выбора атрибутов блока

Цитата:
Сообщение от Hishnik Посмотреть сообщение
И при выделении нескольких блоков он перечисляет атрибуты всех выделенных блоков. мне достаточно одно, т.к. они одинаковые по логике веще должны быть.
это прекликается с сортировкой и несёт потерю смысла использования полей.
koMon вне форума  
 
Непрочитано 17.10.2018, 09:44
#17
Hishnik


 
Регистрация: 14.11.2012
Сообщений: 22


Цитата:
Сообщение от koMon Посмотреть сообщение
надо делать сортировку и вывод списка атрибутов в диалог


Цитата:
Сообщение от koMon Посмотреть сообщение
требуется другой алгоритм выбора атрибутов блока
Не могли бы помочь в данном скрипте с этими двумя моментами, а момент с количеством упустить и убрать из скрипта. Данная выноска думаю многим бы пригодилась и принесла пользу
Hishnik вне форума  
 
Непрочитано 17.10.2018, 11:14
#18
Сергей812


 
Регистрация: 10.08.2013
Сообщений: 9,801


Цитата:
Сообщение от Hishnik Посмотреть сообщение
И при выделении нескольких блоков он перечисляет атрибуты всех выделенных блоков. мне достаточно одно, т.к. они одинаковые по логике веще должны быть.
А если нет?
Сергей812 вне форума  
 
Непрочитано 17.10.2018, 16:44
#19
Hishnik


 
Регистрация: 14.11.2012
Сообщений: 22


Цитата:
Сообщение от Сергей812 Посмотреть сообщение
А если нет?
В моем случае одинаковае
Hishnik вне форума  
 
Непрочитано 22.10.2018, 15:57
1 | #20
koMon


 
Блог
 
Регистрация: 26.09.2017
Сообщений: 1,368


Цитата:
Сообщение от Hishnik Посмотреть сообщение
Не могли бы помочь в данном скрипте с этими двумя моментами, а момент с количеством упустить и убрать из скрипта. Данная выноска думаю многим бы пригодилась и принесла пользу
Hishnik, моя помощь в вашем вопросе была в виде, так сказать, скорой или оперативной. если вам нужен законченный лисп, то правильнее будет обратится в раздел "поиск исполнителей". в продолжение могу предложить упрощённый вариант формирования мультивыноски. после выбора блоков предупреждающее окно покажет сортированные в алфавитном порядке (без повторений) атрибуты в выбранных блоках с их номерами. затем будет предложено указать номера атрибутов в виде строки, слгласно которым атрибуты будут расставлены в мультивыноске в виде полей. вывод иноформации о количестве блоков закомментирован.
проверок ВООБЩЕ нет.

Код:
[Выделить все]
 
;******************************************************************************************************************************

(defun delete_duplicates (input_list / )
	(setq input_list_index 0
		  output_list '()
		  coincident_elements 0
	)
	(repeat (length input_list)
		(if (equal (car (nth input_list_index input_list)) (car (nth (1+ input_list_index) input_list)))
  			(setq input_list (cdr input_list) coincident_elements (1+ coincident_elements))
  			(progn
  				(setq output_list (cons (nth input_list_index input_list) output_list))
				(setq input_list_index (+ 1 input_list_index))
			)
		)
	)
	(reverse output_list)
)

;******************************************************************************************************************************

(defun c:Attribs_to_MLeader ()
	(setq acad_Object (vlax-get-acad-object)
	      document_object (vla-get-ActiveDocument acad_Object)
		  modelSpace_object (vla-get-modelSpace document_object)
		  blocks_pickset (ssget '((0 . "Insert")))
		  blocks_count (sslength blocks_pickset)
		  attribute_id_list '()
	)
	(while (< 0 (sslength blocks_pickset))
		(setq current_block_entity (ssname blocks_pickset 0))
		(while (/= "SEQEND" (cdr (assoc 0 (entget (setq next_entity (entnext current_block_entity))))))
			(if (= "ATTRIB" (cdr (assoc 0 (entget next_entity))))
	  			(setq attribute_id_list (cons
											(cons (vla-get-textstring (vlax-ename->vla-object next_entity)) (itoa (vla-get-objectid (vlax-ename->vla-object next_entity))))
											attribute_id_list
										)
				)
			)
			(setq current_block_entity next_entity)
		)
		(setq blocks_pickset (ssdel (ssname blocks_pickset 0) blocks_pickset))
	)
	(setq attribute_id_list (delete_duplicates (vl-sort attribute_id_list (function (lambda (le_1 le_2) (< (car le_1) (car le_2))))))
		  list_index 0
		  attribute_list (mapcar '(lambda (list_element) (cons (setq list_index (1+ list_index)) list_element)) (mapcar 'car attribute_id_list))
		  default_attribs_indices (apply 'strcat (mapcar '(lambda (list_element) (strcat (itoa (car list_element)))) attribute_list))
		  lisp_executed	(alert (strcat "Найденные атрибуты\n\n" (apply 'strcat (mapcar '(lambda (list_element) (strcat "    " (itoa (car list_element)) " - " "\"" (cdr list_element) "\"" "\n")) attribute_list))))
		  attribs_numbers_string (if (= "" (setq attribs_numbers_string (getstring (strcat "\nПорядок следования атрибутов в МВыноске <" default_attribs_indices ">: ")))) default_attribs_indices attribs_numbers_string)
		  attribs_indices (mapcar '(lambda (list_element) (- list_element 49)) (vl-string->list attribs_numbers_string))
		  mleader_org_point (getpoint "\nКорневая точка мультивыноски: ")
		  mleader_2nd_point (polar mleader_org_point (* pi 0.25) 40.0)
		  mleader_points_array (vlax-make-safearray vlax-vbDouble '(0 . 5))
		  vlax_executed (vlax-safearray-fill mleader_points_array (list (car mleader_org_point) (cadr mleader_org_point)  (caddr mleader_org_point)
															  			(car mleader_2nd_point) (cadr mleader_2nd_point)  (caddr mleader_2nd_point)
																  )
						)
		  mLeader_object (vla-AddMLeader modelspace_object mleader_points_array 0)
		  mLeader_string ""
	)
	(foreach attribute_index attribs_indices
		(setq mLeader_string (strcat mLeader_string "%<\\AcObjProp Object(%<\\_ObjId " (cdr (nth attribute_index attribute_id_list)) ">%).TextString>%" " "))
	)
	(setq mLeader_string (strcat "Префикс" " " mLeader_string "Суффикс"))
;	(if (> blocks_count 1) (setq mLeader_string (strcat mLeader_string "\\PКоличество: " (itoa blocks_count) " шт.")))
	(vla-put-TextLeftAttachmentType mLeader_object 3)
	(vla-put-TextRightAttachmentType mLeader_object 3)
	(vla-put-ArrowheadBlock mLeader_object "_None")
	(vla-put-DoglegLength mLeader_object 0.5)
	(vla-put-LandingGap mLeader_object 0.5)
	(vla-put-textlinespacingstyle mLeader_object 2)
	(vla-put-textstring mLeader_object mleader_string)
	(vla-regen document_object acActiveViewport)
	(princ)
)

;******************************************************************************************************************************
koMon вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > LISP. Создание выноски с атрибутом блока.

Система Техэксперт дает уверенность в правильности и эффективности принимаемых инженерных решений!
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Мои динамические блоки [2] Кулик Алексей aka kpblc Динамические блоки 4334 22.04.2019 09:16
Проблема с базовой точкой блока и вхождением блока в DXF nogaems Программирование 5 29.08.2013 15:46
Создание атрибута для блока Рyslan AutoCAD 56 14.10.2011 11:32
Создание блока (проблема) Малюк AutoCAD 3 12.09.2008 09:34
Создание блока с свободно вращающимся атрибутом gizmo_zx AutoCAD 2 01.09.2008 12:11